---
title: Lock
slug: Web/API/Lock
tags:
  - API
  - Experimental
  - Interface
  - Reference
  - Web Locks API
  - lock
---
<div>{{SeeCompatTable}}{{APIRef("Web Locks")}}</div>

<p><span class="seoSummary">The <strong><code>Lock</code></strong> interface of the <a href="/docs/Web/API/Web_Locks_API">Web Locks API</a> provides the name and mode of a previously requested lock, which is received in the callback to {{domxref('LockManager.request','LockManager.request()')}}.</span></p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('Lock.mode')}} {{readonlyinline}}</dt>
 <dd>Returns the access mode passed to {{domxref('LockManager.request()')}} when the lock was requested. The mode is either <code>"exclusive"</code> (the default) or <code>"shared"</code>.</dd>
 <dt>{{domxref('Lock.name')}} {{readonlyinline}}</dt>
 <dd>Returns the name passed to {{domxref('LockManager.request()')}} when the lock was requested.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>The following examples show how the mode and name properties are passed in the call to {{domxref('LockManager.request()')}}. <code>LockManager</code> is the object returned by {{domxref('navigator.locks')}}.</p>

<pre class="brush: js">navigator.locks.request("net_db_sync", show_lock_properties);
navigator.locks.request("another_lock", {mode: "shared"}, show_lock_properties);

function show_lock_properties(lock) {
  console.log(`The lock name is: ${lock.name}`);
  console.log(`The lock mode is: ${lock.mode}`);
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Locks','#api-lock','Lock')}}</td>
   <td>{{Spec2('Web Locks')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Lock")}}</p>
